<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Infiltration](./bitburner.infiltration.md)

## Infiltration interface

Infiltration API.

**Signature:**

```typescript
interface Infiltration 
```

## Methods

<table><thead><tr><th>

Method


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[getInfiltration(location)](./bitburner.infiltration.getinfiltration.md)


</td><td>

Get all infiltrations with difficulty, location and rewards.


</td></tr>
<tr><td>

[getPossibleLocations()](./bitburner.infiltration.getpossiblelocations.md)


</td><td>

Get all locations that can be infiltrated.


</td></tr>
</tbody></table>

